Package relaxngcc.grammar

# Class AnyNameClass

java.lang.Object
relaxngcc.grammar.NameClass
relaxngcc.grammar.AnyNameClass

public class AnyNameClass extends NameClass

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Field Summary

Fields
Modifier and Type
Field
Description
`final NameClass`
`except`

## Constructor Summary

Constructors
Constructor
Description
`AnyNameClass(ParserRuntime rt, NameClass _except)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`apply(NameClassFunction f)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### except

public final NameClass except

## Constructor Details

### AnyNameClass

public AnyNameClass(ParserRuntime rt, NameClass _except)

## Method Details

### apply

public Object apply(NameClassFunction f)

Specified by:
  `apply` in class `NameClass`

### toString

public String toString()

Overrides:
  `toString` in class `Object`